# Partially updates a abstract approval process with the specified ID.

This method will patch an existing abstract approval process with the specified ID, using the HTTP PATCH specification.

Endpoint: PATCH /abstractApprovalProcesses/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the abstract approval process to patch.

## Request fields (application/json):

  - `op` (string, required)
    The operation
    Enum: "add", "copy", "move", "remove", "replace", "test"

  - `path` (string, required)
    The JSON path

  - `value` (string)
    The updated value

## Response 200 fields (application/json):

  - `acceptance_notification_email` (object, required)
    The email to send when the abstract is received

  - `acceptance_notification_email.bcc` (string)
    Anyone that should be bcc'ed on the email

  - `acceptance_notification_email.body` (string, required)
    The email body

  - `acceptance_notification_email.cc` (string)
    Anyone that should be cc'ed on the email

  - `acceptance_notification_email.from` (string)
    From email address

  - `acceptance_notification_email.from_name` (string)
    From name

  - `acceptance_notification_email.reply_to` (string)
    The reply to

  - `acceptance_notification_email.subject` (string, required)
    The email subject

  - `approval_form_id` (string, required)
    Form shown to the presenter when they approve

  - `approval_notification_email` (object, required)
    The email to send when the abstract is received

  - `approval_notification_email.bcc` (string)
    Anyone that should be bcc'ed on the email

  - `approval_notification_email.body` (string, required)
    The email body

  - `approval_notification_email.cc` (string)
    Anyone that should be cc'ed on the email

  - `approval_notification_email.from` (string)
    From email address

  - `approval_notification_email.from_name` (string)
    From name

  - `approval_notification_email.reply_to` (string)
    The reply to

  - `approval_notification_email.subject` (string, required)
    The email subject

  - `decline_notification_email` (object, required)
    The email to send when the abstract is received

  - `decline_notification_email.bcc` (string)
    Anyone that should be bcc'ed on the email

  - `decline_notification_email.body` (string, required)
    The email body

  - `decline_notification_email.cc` (string)
    Anyone that should be cc'ed on the email

  - `decline_notification_email.from` (string)
    From email address

  - `decline_notification_email.from_name` (string)
    From name

  - `decline_notification_email.reply_to` (string)
    The reply to

  - `decline_notification_email.subject` (string, required)
    The email subject

  - `enable_acceptance_notification_email` (boolean)
    Whether or not an email should be sent when the abstract is accepted by the presenter

  - `enable_approval_notification_email` (boolean)
    Whether or not an email should be sent when the abstract is approved

  - `enable_decline_notification_email` (boolean)
    Whether or not an email should be sent when the abstract is declined

  - `enable_presenter_decline_email` (boolean)
    Whether or not an email should be sent when the abstract is approved but declined by the presenter

  - `event_id` (string, required)
    ID for the event associated with this process

  - `id` (string, required)
    The unique, string identifier of this abstract approval process

  - `is_active` (boolean)
    Whether or not this abstract approval process is active

  - `name` (string, required)
    The name of the abstract approval process

  - `presenter_decline_email` (object, required)
    The email to send when the abstract is received

  - `presenter_decline_email.bcc` (string)
    Anyone that should be bcc'ed on the email

  - `presenter_decline_email.body` (string, required)
    The email body

  - `presenter_decline_email.cc` (string)
    Anyone that should be cc'ed on the email

  - `presenter_decline_email.from` (string)
    From email address

  - `presenter_decline_email.from_name` (string)
    From name

  - `presenter_decline_email.reply_to` (string)
    The reply to

  - `presenter_decline_email.subject` (string, required)
    The email subject

  - `presenter_decline_form_id` (string)
    Form shown to those who decline. If not selected, the accept form is used

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `visible_in_portal` (boolean)
    Should we show this process in the portal


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 409 fields

## Response 429 fields

## Response 500 fields
